Package weka.core.expressionlanguage.parser

# Interface sym

public interface sym
CUP generated interface containing symbol constants.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `AND`
  `static final int`
  `BOOLEAN`
  `static final int`
  `COMMA`
  `static final int`
  `DIVISION`
  `static final int`
  `EOF`
  `static final int`
  `EQUAL`
  `static final int`
  `error`
  `static final int`
  `FLOAT`
  `static final int`
  `GE`
  `static final int`
  `GT`
  `static final int`
  `IDENTIFIER`
  `static final int`
  `IS`
  `static final int`
  `LE`
  `static final int`
  `LPAREN`
  `static final int`
  `LT`
  `static final int`
  `MINUS`
  `static final int`
  `NOT`
  `static final int`
  `OR`
  `static final int`
  `PLUS`
  `static final int`
  `POW`
  `static final int`
  `REGEXP`
  `static final int`
  `RPAREN`
  `static final int`
  `STRING`
  `static final String[]`
  `terminalNames`
  `static final int`
  `TIMES`
  `static final int`
  `UMINUS`
  `static final int`
  `UPLUS`

- ## Field Details

  - ### TIMES

    static final int TIMES
    See Also:
      - Constant Field Values

  - ### AND

    static final int AND
    See Also:
      - Constant Field Values

  - ### IS

    static final int IS
    See Also:
      - Constant Field Values

  - ### LT

    static final int LT
    See Also:
      - Constant Field Values

  - ### PLUS

    static final int PLUS
    See Also:
      - Constant Field Values

  - ### OR

    static final int OR
    See Also:
      - Constant Field Values

  - ### RPAREN

    static final int RPAREN
    See Also:
      - Constant Field Values

  - ### EQUAL

    static final int EQUAL
    See Also:
      - Constant Field Values

  - ### DIVISION

    static final int DIVISION
    See Also:
      - Constant Field Values

  - ### NOT

    static final int NOT
    See Also:
      - Constant Field Values

  - ### IDENTIFIER

    static final int IDENTIFIER
    See Also:
      - Constant Field Values

  - ### POW

    static final int POW
    See Also:
      - Constant Field Values

  - ### GT

    static final int GT
    See Also:
      - Constant Field Values

  - ### LPAREN

    static final int LPAREN
    See Also:
      - Constant Field Values

  - ### LE

    static final int LE
    See Also:
      - Constant Field Values

  - ### REGEXP

    static final int REGEXP
    See Also:
      - Constant Field Values

  - ### BOOLEAN

    static final int BOOLEAN
    See Also:
      - Constant Field Values

  - ### STRING

    static final int STRING
    See Also:
      - Constant Field Values

  - ### COMMA

    static final int COMMA
    See Also:
      - Constant Field Values

  - ### FLOAT

    static final int FLOAT
    See Also:
      - Constant Field Values

  - ### EOF

    static final int EOF
    See Also:
      - Constant Field Values

  - ### UPLUS

    static final int UPLUS
    See Also:
      - Constant Field Values

  - ### GE

    static final int GE
    See Also:
      - Constant Field Values

  - ### MINUS

    static final int MINUS
    See Also:
      - Constant Field Values

  - ### error

    static final int error
    See Also:
      - Constant Field Values

  - ### UMINUS

    static final int UMINUS
    See Also:
      - Constant Field Values

  - ### terminalNames

    static final String[] terminalNames